Summary:     A tool that checks C programs for security problems and coding mistakes
Name:        splint
Version:     3.1.1
Release:     2.pp
License:     GPL
Group:       Software Development/Debuggers
Source0:     http://www.%{name}.org/downloads/%{name}-%{version}.src.tgz
URL:         http://www.%{name}.org/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel
ExclusiveOS: linux


%description
Splint is a tool for statically checking C programs for security
vulnerabilities and coding mistakes. With minimal effort, it can
be used as a better lint. If additional effort is invested adding
annotations to programs, it can perform stronger checking than
can be done by any standard lint. Splint is the successor to
LCLint. The main differences between Splint and LCLint are support
for buffer overflow detection and extensible annotations.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make \
	prefix=$RPM_BUILD_ROOT/usr           \
	sysconfdir=$RPM_BUILD_ROOT/etc       \
	mandir=$RPM_BUILD_ROOT/usr/share/man \
	localstatedir=$RPM_BUILD_ROOT/var    \
	install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README doc/*.html doc/*.css doc/*.pdf
%doc doc/html/*
/usr/bin/*
/usr/share/man/man1/*
%dir /usr/share/%{name}
/usr/share/%{name}/*


%changelog
* Sun Aug 22 2004 peter.pramberger@member.fsf.org
- created

